%if 0%{?!apply_patches:1}
%define apply_patches for patch in $(awk '/^Patch.*:/ { print "%{_sourcedir}/"$2 }' %{_specdir}/pclos-%{name}.spec); do patch -s -p1 -i $patch; done
%endif

%define gitref     00370b5
Name:           kcm_touchpad
Version:        0.3.1
Summary:        Touchpad Configuration GUI for KDE
Release:        %mkrel 5
License:        GPL
Group:          Graphical desktop/KDE4
URL:            http://kde-apps.org/content/show.php/kcm_touchpad?content=113335
Source0:        http://download.github.com/mishaaq-%name-%gitref.tar.xz
Patch103:	0001-fix-the-scrolling-being-disabled-after-setting-the-s.patch
Patch104:	0002-Add-support-for-querying-touchpad-capabilities.patch
Patch105:	0003-Do-not-offer-for-configuration-actions-that-touchpad.patch
Patch106:	0004-Add-ksyndaemon-daemon-to-monitor-touchpad.patch
Patch107:	0005-Implement-SmartMode-as-interface-to-ksyndaemon.patch
Patch108:	0006-ksyndaemon-was-not-terminated-on-session-logout.patch
Patch109:	0007-Add-l10n-files-from-Mandriva-cooker.patch
BuildRoot:      %_tmppath/%name-%version-buildroot
BuildRequires:  kdelibs-devel
BuildRequires:  x11-driver-input-synaptics-devel
Requires:       kde-runtime

%description
Touchpad Configuration GUI for KDE

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS README
%{_kde_libdir}/kde4/kcm_touchpad.so
%{_kde_libdir}/kde4/libexec/ksyndaemon
%{_kde_services}/touchpad.desktop
%{_kde_services}/ksyndaemon.desktop
%{_datadir}/dbus-1/services/org.kde.ksyndaemon.service

#-----------------------------------------------------------------------------

%prep
%setup -q -n mishaaq-%name-%gitref
%apply_patches

%build

%cmake_kde4

%make


%install
rm -rf %buildroot
%makeinstall_std -C build

rm -f %{buildroot}%{_docdir}/%{name}/*

%find_lang %name

%clean
rm -rf %{buildroot}



%changelog
* Mon Jun 25 2012 Neal <nealbrks0 at gmail dot com> 0.3.1-5pclos2012
- process

* Mon Jun 25 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 0.3.1-5_archie_2012
- rebuild

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.3.1-3pclos2010
- rebuild for 4.5.1

* Fri Jul 24 2010 Texstar <texstar at gmail.com> 0.3.1-2pclos2010
- try mdv patchset

* Wed Jan 27 2010 Texstar <texstar at gmail.com> 0.3.1-1pclos2010
- import into pclos

